Module jdk.compiler
Package com.sun.source.tree

# Enum CaseTree.CaseKind

java.lang.Object
java.lang.Enum<CaseTree.CaseKind>
com.sun.source.tree.CaseTree.CaseKind

All Implemented Interfaces:
  `Serializable`, `Comparable<CaseTree.CaseKind>`, `Constable`

Enclosing interface:
  CaseTree

    @Deprecated(forRemoval=true,
                since="12")
    public static enum CaseTree.CaseKind
    extends Enum<CaseTree.CaseKind>

Deprecated, for removal: This API element is subject to removal in a future version.
This enum is used to model a rule case, which is part of a preview feature and may be removed if the preview feature is removed.
The syntatic form of this case:

- STATEMENT: `case <expression>: <statements>`
- RULE: `case <expression> -> <expression>/<statement>`

Since:
  12

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`RULE` | Deprecated, for removal: This API element is subject to removal in a future version. Case is in the form: `case <expression> -> <expression>`.
`STATEMENT` | Deprecated, for removal: This API element is subject to removal in a future version. Case is in the form: `case <expression>: <statements>`.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static CaseTree.CaseKind` | `valueOf​(String name)` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the enum constant of this type with the specified name.
`static CaseTree.CaseKind[]` | `values()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STATEMENT

public static final CaseTree.CaseKind STATEMENT
Deprecated, for removal: This API element is subject to removal in a future version.
Case is in the form: `case <expression>: <statements>`.

### RULE

public static final CaseTree.CaseKind RULE
Deprecated, for removal: This API element is subject to removal in a future version.
Case is in the form: `case <expression> -> <expression>`.

## Method Details

### values

public static CaseTree.CaseKind[] values()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CaseTree.CaseKind valueOf​(String name)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null